Transition Org Schedule Fragments
Changes stage of an organization schedule fragment.
Required scopes:
org_schedule_fragment:writeORorg_schedule_fragment:all
Authorization
auth-token All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request.
How do I find my token?
In: header
Request Body
application/json
Organization schedule Fragment ID.
idStatus determines how an item can be used. In 'draft' status an item can be edited but can't be used. When 'published' the item can longer be edited but can be used. 'Archived' is read-only.
"archived" | "draft" | "published"Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.devrev.ai/org-schedule-fragments.transition" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "status": "archived" }'{
"org_schedule_fragment": {
"created_by": {
"type": "dev_user",
"display_id": "string",
"id": "string",
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"state": "active"
},
"created_date": "2023-01-01T12:00:00.000Z",
"display_id": "string",
"id": "string",
"modified_by": {
"type": "dev_user",
"display_id": "string",
"id": "string",
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"state": "active"
},
"modified_date": "2023-01-01T12:00:00.000Z",
"object_version": 0,
"from": "2023-01-01T12:00:00.000Z",
"intervals": [
{
"from": "2023-01-01T12:00:00.000Z",
"is_excluded": true,
"name": "string",
"to": "2023-01-01T12:00:00.000Z"
}
],
"name": "string",
"region_codes": [
"string"
],
"status": "archived",
"to": "2023-01-01T12:00:00.000Z"
}
}{
"detail": "string",
"message": "string",
"type": "artifact_already_attached_to_a_parent",
"existing_parent": "string",
"is_same": true
}{
"detail": "string",
"message": "string",
"type": "dev_org_deactivated"
}{
"detail": "string",
"message": "string",
"type": "forbidden",
"object_ids": [
"string"
]
}{
"detail": "string",
"message": "string",
"type": "request_entity_too_large",
"max_bytes": 0
}{
"detail": "string",
"message": "string",
"type": "too_many_requests",
"retry_after": 0
}{
"detail": "string",
"message": "string",
"type": "internal_error",
"reference_id": "string"
}{
"detail": "string",
"message": "string",
"type": "service_unavailable"
}Get Org Schedule Fragment GET
Gets an organization schedule fragment. **Required scopes:** - `org_schedule_fragment:read` OR `org_schedule_fragment:write` OR `org_schedule_fragment:all`
Create Org Schedule POST
Creates an organization schedule with a default weekly organization schedule and a list of organization schedule fragments. **Required scopes:** - `org_schedule:write` OR `org_schedule:all`